
# For UPLOS

Summary: UPLOS Icon theme 
Name: uplos-icon-theme
Version: 2
Release: %mkrel 2
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: System/Configuration/Theme
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
AutoReqProv: no
BuildRequires:	inkscape

%description
This package contains the UPLOS icon theme for UPLOS.

%prep
%setup -q

# This is for create missing folders with pictures .png 
# loop, 
for i in 16 22 24 32 48 ; do
	# create folders  
	install -d -m 0755 uplos/${i}x${i}/places
	# create pictures .png
	inkscape -z uplos/scalable/places/uplos-logo.svg -w $i -e uplos/${i}x${i}/places/uplos-logo.png ;
	# create symbolic links
	ln -s uplos-logo.png uplos/${i}x${i}/places/distributor-logo.png
	ln -s uplos-logo.png uplos/${i}x${i}/places/start-here.png
done

%install
#  create folder /usr/share/icons
install -d -m 0755 %buildroot/%_iconsdir
# move all from ~/src/rpm/BUILD/uplos-icon-theme-2/  to  ~/src/rpm/BUILDROOT/uplos-icon-theme-2/usr/share/icons/
mv * %buildroot/%_iconsdir/

#fix permissions
find %buildroot -type d -print0 | xargs -0 chmod 0755
find %buildroot -type f -print0 | xargs -0 chmod 0644

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%_iconsdir/uplos


%changelog
* Wed Dec 14 2016 tele
- designer Revoluz
- corrections .svg Marcin82
- packager tele
* Tue Nov 29 2016 tele
- https://developer.gnome.org/integration-guide/stable/icons.html.en
